// $Id$

package oor.impl;

import oor.model.MetaData;
import oor.model.OntologyLanguage;
import oor.model.ContentState;

/**
 * Base implementation for content subclasses.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * 
 */
public abstract class BaseContent implements oor.model.Content {
	String externalIdentifier;
	ContentState state;

	public String getExternalIdentifier() {
		return externalIdentifier;
	}

	public abstract OntologyLanguage getLanguage();

	public abstract MetaData getMetaData();

	public ContentState getState() {
		return state;
	}

	public void setExternalIdentifier(String externalIdentifier) {
		this.externalIdentifier = externalIdentifier;
	}

	public void setState(ContentState state) {
		this.state = state;
	}

}
