// $Id$

package oor.model;

import java.util.Iterator;

/**
 * An ontology stored or referenced by the OOR.
 * @author Mike Dean <mdean@bbn.com>
 *
 */
public interface Ontology extends Content
{

	
	/**
	 * List all terms defined in this ontology.
	 * @return
	 */
	public Iterator<Term> listTerms();
}
